package com.diagbot.entity.relationship;

import com.diagbot.entity.node.Gender;
import com.diagbot.entity.node.MedRegName;
import com.diagbot.entity.relationship.base.BaseRelation;
import lombok.Getter;
import lombok.Setter;
import org.neo4j.ogm.annotation.EndNode;
import org.neo4j.ogm.annotation.RelationshipEntity;
import org.neo4j.ogm.annotation.StartNode;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/12/29 19:03
 */
@Getter
@Setter
@RelationshipEntity(type = "药品注册名称禁忌性别")
public class MedRegNameGender extends BaseRelation {
    @StartNode
    private MedRegName medRegName;

    @EndNode
    private Gender gender;
}
